> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/ko/enrichment/tor-exit-nodes.md).

# Tor 종료 노드

## 개요

Panther에서 보강 소스로 Tor Exit Nodes를 사용할 수 있습니다. [Tor](https://www.torproject.org/) 는 인터넷 브라우징을 위한 익명화 네트워크로, 사용자의 클라이언트 IP 주소를 전 세계의 노드 중에서 무작위로 선택합니다. 또한 때때로 악의적인 행위자들이 자신의 위치를 숨기기 위해 사용하기도 합니다.

Tor 보강 공급자에는 Tor Exit Nodes의 IP 주소가 포함되어 있습니다. Panther는 이 IP 주소 목록을 매시간 자동으로 업데이트합니다. 방법을 알아보려면 [저장된 보강 데이터를 여기에서 확인하는 방법](/ko/enrichment.md#viewing-and-managing-enrichments), 그리고 어떻게 [여기에서 엔리치먼트 데이터가 포함된 로그 이벤트를 확인하세요](/ko/enrichment.md#viewing-log-events-with-enrichment-data).

## Tor Exit Nodes 보강 활성화

CI/CD 워크플로를 사용 중이라면, 아래의 [CI/CD 사용자 섹션을 참조하세요 ](#undefined)추가 고려 사항을 알아보려면.

Panther에서 관리하는 Tor Exit Node 보강을 활성화하려면:

1. Panther Console의 왼쪽 탐색 모음에서 **탐지**.
2. 다음 타일을 클릭하세요: **팩** 탭. 검색창에서 "Tor"를 검색하세요.
   * 이 페이지에서 다음을 확인할 수 있습니다. [디택션 Pack](/ko/detections/panther-managed/packs.md) Tor Lookup Tables에서 사용할 수 있습니다. 팩은 기본적으로 비활성화되어 있으므로, 이 데이터를 사용하려면 먼저 팩을 활성화해야 합니다.\
     ![The "Tor Lookup Tables" tile is displayed on the Packs page in the Panther Console.](/files/0903ed8e056adcb922db00721cca0660bf3ec6b0)
3. 오른쪽에서 **Tor Lookup Tables** 타일에서 다음을 클릭합니다 **활성화됨** 토글을 **켜기** 팩을 활성화합니다.
4. 클릭합니다 **계속** 나타나는 대화 상자에서.\
   ![The image shows a popup dialog labeled "Enable detection pack?". There is a blue "Continue" button at the bottom.](/files/e46521f1ae952c85e4a14d83a2131000dfe8d725)
   * CI/CD를 통해 추가 변경을 하고 싶다면 [PAT](/ko/panther/detections-repo/pat.md)에 대해 자세한 내용은 Panther 담당자에게 문의하세요.
5. 보강이 활성화되었는지 확인하려면, 왼쪽 사이드바 메뉴에서 **인리치먼트.**
   * 이 페이지에서 모든 인리치먼트 소스, 각 소스의 현재 활성화 또는 비활성화 여부, 그리고 소스 데이터가 마지막으로 새로 고쳐진 시점을 확인할 수 있습니다.

### CI/CD 사용자를 위한 고려 사항

CLI 워크플로에서 Tor 보강을 활성화하려면 [Panther Analysis Tool로 보강 관리하기](/ko/panther/detections-repo/pat/managing-enrichment.md) 가이드를 참조하세요.

다음 사항을 참고하세요:

* CI/CD 사용자는 Tor Exit Node 보강 테이블을 가져오기 위해 디택션 팩을 사용할 필요가 없습니다. 다음의 최신 릴리스를 가져올 수 있습니다 `panther-analysis` 그리고 다음을 사용합니다 `panther_analysis_tool` (PAT)를 사용하여 보강을 업로드합니다.
* CI/CD 워크플로를 사용 중이라면, 디택션 팩을 통해 보강을 활성화하는 것은 권장하지 않습니다. 대신 일반적인 CI/CD 워크플로를 통해 보강을 활성화하고 관리해야 합니다.
  * Panther Console에서 보강을 활성화한 후 PAT를 통해 보강을 관리하려는 경우, 먼저 Panther Console에서 디택션 팩을 비활성화해야 합니다. Panther Console과 PAT를 동시에 사용하여 보강을 관리하는 것은 지원되지 않습니다.

## 예시

디택션에서 Python 헬퍼를 통해 Tor Exit Nodes 보강을 활용할 수 있습니다. 아래 예시를 참조하세요:

```python
import panther_tor_helpers as p_tor_h

def 룰(event): 
    # 활동이 Tor Exit Nodes에서 발생하면 알러트
    return p_tor_h.TorExitNodes(event).has_exit_nodes()
    
def 알러트_context(event): 
    # Tor 프로젝트 exit node 데이터베이스로 연결되는 URL을 포함하여 알러트에 유용한 컨텍스트를 추가합니다
    return p_tor_h.TorExitNodes(event).context('sourceIP')

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.panther.com/ko/enrichment/tor-exit-nodes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
